﻿#region License
/* Copyright 2011 James F. Bellinger <http://www.zer7.com/>

   This software is provided 'as-is', without any express or implied
   warranty. In no event will the authors be held liable for any damages
   arising from the use of this software.
 
   Permission is granted to anyone to use this software for any purpose,
   including commercial applications, and to alter it and redistribute it
   freely, subject to the following restrictions:

   1. The origin of this software must not be misrepresented; you must
   not claim that you wrote the original software. If you use this software
   in a product, an acknowledgement in the product documentation would be
   appreciated but is not required.

   2. Altered source versions must be plainly marked as such, and must
   not be misrepresented as being the original software.

   3. This notice may not be removed or altered from any source
   distribution. 
*/
#endregion

using System;
using System.Globalization;
using System.Windows.Data;

namespace IllusoryStudios.Wpf.LostControls.Converters
{
    public class EqualityConverter : IValueConverter
    {
        public EqualityConverter()
        {
            Value = null; TrueValue = true; FalseValue = false;
        }

        public object Value
        {
            get;
            set;
        }

        public object TrueValue
        {
            get;
            set;
        }

        public object FalseValue
        {
            get;
            set;
        }

        public bool Not
        {
            get;
            set;
        }

        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            return (object.Equals(value, Value) ^ Not) ? TrueValue : FalseValue;
        }

        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            throw new NotSupportedException();
        }
    }
}
