﻿#region License
/* Copyright 2011 James F. Bellinger <http://www.zer7.com/>

   This software is provided 'as-is', without any express or implied
   warranty. In no event will the authors be held liable for any damages
   arising from the use of this software.
 
   Permission is granted to anyone to use this software for any purpose,
   including commercial applications, and to alter it and redistribute it
   freely, subject to the following restrictions:

   1. The origin of this software must not be misrepresented; you must
   not claim that you wrote the original software. If you use this software
   in a product, an acknowledgement in the product documentation would be
   appreciated but is not required.

   2. Altered source versions must be plainly marked as such, and must
   not be misrepresented as being the original software.

   3. This notice may not be removed or altered from any source
   distribution. 
*/
#endregion

using System;
using System.ComponentModel;

namespace IllusoryStudios.Wpf.LostControls
{
    public class InputBoxCheckField : InputBoxField
    {
        bool _checked;
        string _checkName;

        public InputBoxCheckField()
            : this(null, null, false)
        {

        }

        public InputBoxCheckField(string name)
            : this(name, null, false)
        {
            
        }

        public InputBoxCheckField(string name, string checkName, bool @checked)
        {
            Name = name; CheckName = checkName; Checked = @checked;
        }

        public bool Checked
        {
            get { return _checked; }
            set
            {
                _checked = value;
                OnPropertyChanged("Checked"); OnPropertyChanged("Value");
                Revalidate();
            }
        }

        public string CheckName
        {
            get { return _checkName ?? ""; }
            set { _checkName = value; OnPropertyChanged("CheckName"); }
        }

        public override string Value
        {
            get { return Checked ? "True" : "False"; }
            set { Checked = value == "True"; }
        }
    }
}
