﻿using System;

namespace IllusoryStudios.Wpf.LostControls
{
    public static class InputBoxValidators
    {
        static InputBoxValidators()
        {
            FiniteDouble = s =>
                {
                    double value;
                    return double.TryParse(s, out value)
                        && !double.IsNaN(value) && !double.IsInfinity(value);
                };
            FiniteFloat = s =>
                {
                    float value;
                    return float.TryParse(s, out value)
                        && !float.IsNaN(value) && !float.IsInfinity(value);
                };
        }

        public static Func<string, bool> FiniteDouble
        {
            get;
            private set;
        }

        public static Func<string, bool> FiniteFloat
        {
            get;
            private set;
        }
    }
}
