﻿#region License
/* Copyright 2009-2010 James F. Bellinger <http://www.zer7.com/>

   This software is provided 'as-is', without any express or implied
   warranty. In no event will the authors be held liable for any damages
   arising from the use of this software.
 
   Permission is granted to anyone to use this software for any purpose,
   including commercial applications, and to alter it and redistribute it
   freely, subject to the following restrictions:

   1. The origin of this software must not be misrepresented; you must
   not claim that you wrote the original software. If you use this software
   in a product, an acknowledgement in the product documentation would be
   appreciated but is not required.

   2. Altered source versions must be plainly marked as such, and must
   not be misrepresented as being the original software.

   3. This notice may not be removed or altered from any source
   distribution. 
*/
#endregion

using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using IllusoryStudios.Wpf.LostControls.Converters;

namespace IllusoryStudios.Wpf.LostControls
{
    public partial class SwitcherItemsControl : ItemsControl
    {
        public static readonly DependencyProperty VisibleItemProperty =
            DependencyProperty.Register("VisibleItem", typeof(object), typeof(SwitcherItemsControl));

        public SwitcherItemsControl()
        {
            this.Resources = null;
            InitializeComponent();
        }

        public object VisibleItem
        {
            get { return GetValue(VisibleItemProperty); }
            set { SetValue(VisibleItemProperty, value); }
        }
    }
}
